<?php
define('_IN_JOHNCMS', 1);
$headmod = 'anketa';
require_once('../incfiles/core.php');
if (!$user_id) {
require_once('../incfiles/head.php');
echo display_error('Только для зарегистрированных посетителей');
require_once('../incfiles/end.php');
exit;}
//---------//
if ($id && $id != $user_id) {
// Если был запрос на юзера, то получаем его данные
$req = mysql_query("SELECT* FROM `users` WHERE `id` ='$id' LIMIT 1");
if (mysql_num_rows($req)) {
$user = mysql_fetch_assoc($req);
$textl = 'Анкета: ' .$user['name'];}
else {
require_once('../incfiles/head.php');
echo display_error('Такого пользователя не существует');
require_once("../incfiles/end.php");
exit;}}
else {
$id = false;
$textl = 'Личная анкета';
$user = $datauser;}
require_once('../incfiles/head.php');
//----------//
if ($user['dayb'] == $day &&$user['monthb'] == $mon) {echo '<div class="gmenu">ИМЕНИНЫ!!!</div>';}
//------------//
echo '<div class="gmenu">';
if (!$user['preg'] && empty($user['regadm']))
echo '&raquo; Ожидает подтверждения регистрации<br />';
elseif (!$user['preg']&&!empty($user['regadm']))
echo '&raquo; Регистрацию отклонил ' . $user['regadm'] . '<br />';
elseif ($user['preg']&&!empty($user['regadm']))
echo '&raquo; Регистрацию подтвердил ' . $user['regadm'] . '<br />';
else
echo '&raquo; Свободная регистрация<br />';
echo '</div>';
//----------//
echo '<div class="gmenu"><img src="../theme/' . $set_user['skin'] . '/images/'.($user['sex'] == 'm' ? 'm' : 'w') . ($user['datereg']>$realtime - 86400 ? '_new' : '') . '.png" width="16" height="16" class="left" />';
echo '' . $user['name'] . ' (id: ' . $user['id'] . ')';
if ($realtime >$user['lastdate'] + 300) {echo '<span class="red"> [Off]</span>';
$lastvisit = date("d.m.Y (H:i)",$user['lastdate']);} else {echo '<span class="green"> [ON]</span>';}
echo '<br />';
//---------//
if (file_exists(('../files/photo/' . $user['id'] . '_small.jpg')))
echo '<br /><a href="../files/photo/' . $user['id'] . '.jpg"><img src="../files/photo/' . $user['id'] . '_small.jpg" alt="' . $user['name'] . '" border="0" /></a><br />';
if (!empty($user['status']))
echo '&raquo; Статус: ' . $user['status'] . '<br />';
//------------//
$zvezda = mysql_result(mysql_query(" SELECT COUNT(*)FROM `zvezda` WHERE `id_user` = '".$user['id']."'"), 0);
if ($zvezda < 1){echo '&raquo; <a href="../zvezda/info.php">Звезды:</a> нет...<br />';}
else echo '&raquo; <a href="../zvezda/info.php">Звезды:</a> ';
$q = mysql_query("select * from `zvezda` WHERE `id_user`= '".$user['id']."'");
while($arr = mysql_fetch_array($q)){
echo '<a href="../zvezda/index.php?id='.$arr['id'].'"><img src="../star.png" alt="star" /></a> ';}
echo '<br />';
//------------//
$ban = mysql_result(mysql_query("SELECT COUNT(*) FROM `cms_ban_users` WHERE `user_id` = '" . $user['id'] ."'"), 0);
if ($ban)echo '&raquo; <a href="users_ban.php' . ($id&& $id != $user_id ? '?id=' .$user['id'] : '') . '">Нарушения</a>&nbsp;<span class="red">(' .$ban . ')</span><br />';
echo '&raquo; Должность: ';
$rank = array (
0 => 'Пользователь',
1 => 'Киллер',
2 => 'Модер Чата',
3 => 'Модер Форума',
4 => 'Модер Загрузок',
5 => 'Модер Библиотеки',
6 => 'Супермодер',
7 => 'Админ',
9 => 'Супервизор');
echo '' . $rank[$user['rights']] . '<br />';
if ($user['money'] != NULL)echo '&raquo; Личный счет: '.$user['money'].' руб.<br />';
echo '<div class="menu">&raquo; Реквизиты</div>';
if ($user['wmid'] AND $user['wmr'] != NULL)
//
///
///
///благодаря
//Miss_КаприЗ
//тут
//исправлены
//ошибки
//спасибо!!!!!!!!
//
//
echo '<div class="gmenu">&raquo; <a href="http://search.wmtransfer.com/?w=w&amp;q=R'.$user['wmr'].'">R'.$user['wmr'].'</a><br />&raquo; <a href="https://passport.webmoney.ru/asp/CertView.asp?wmid='.$user['wmid'].'">WMID#'.$user['wmid'].'</a><br />&raquo; BL: <img src="http://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid='.$user['wmid'].'&amp;w=35&amp;h=18&amp;bg=0XFFFFFF" alt=""/><br />&raquo; Преты/Отзывы: <img src="http://arbitrage.webmoney.ru/xml/AL.aspx?wmid='.$user['wmid'].'" alt=""/></div>';
else
echo '<div class="gmenu">Реквизиты не заполнены!</div>';
//---------//
if (isset($lastvisit))
echo '&raquo; Визит: ' . $lastvisit . '<br />';
echo '&raquo; Регистрация: ' . date("d.m.Y",$user['datereg']) . '<br />';
echo '&raquo; В сети: ' . timecount($user['total_on_site']) . '<br />';
if ($rights >= 1 && $rights >=$user['rights']) {if ($user['immunity'])
echo 'ИММУНИТЕТ';}
echo '</div>';

if ($set_karma['on']) {echo '<div class="list2">';$exp = explode('|',$user['plus_minus']);if ($exp[0] > $exp[1]) {$karma = $exp[1] ? ceil($exp[0] / $exp[1]) :$exp[0];$images = $karma > 10 ? '2' :'1';} else if ($exp[1] > $exp[0]) {$karma = $exp[0] ? ceil($exp[1] / $exp[0]) :$exp[1];$images = $karma > 10 ? '-2': '-1';} else {$images = 0;}echo '<table  width="100%"><tr><td width="22" valign="top"><img src="../images/k_' . $images . '.gif"/></td><td>';echo '<b>Карма (' .$user['karma'] . ')</b><div class="sub"><span class="green"><a href="karma.php?id=' . $id . '&amp;type=1">За (' .$exp[0] . ')</a></span> | <span class="red"><a href="karma.php?id=' . $id . '&amp;type=2">Против (' .$exp[1] . ')</a></span>';if ($id) {if (!$datauser['karma_off'] &&(!$user['rights'] || ($user['rights'] &&!$set_karma['adm'])) &&$user['ip'] != $datauser['ip']) {$sum = mysql_result(mysql_query("SELECT SUM(`points`) FROM `karma_users` WHERE `user_id` = '$user_id' AND `time` >= '" .$datauser['karma_time'] . "'"),0);$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `user_id` = '$user_id' AND `karma_user` = '$id' AND `time` > '" . ($realtime - 86400) . "'"), 0);if ($datauser['postforum'] >=$set_karma['forum'] &&$datauser['total_on_site'] >=$set_karma['karma_time'] &&($set_karma['karma_points'] -$sum) > 0 && !$count) {echo '<br /><a href="karma.php?act=user&amp;id=' . $id . '">Отдать голос</a>';}}} else {$total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . ($realtime - 86400)), 0);if ($total_karma > 0)echo '<br /><a href="karma.php?act=new">Новые отзывы</a> (' .$total_karma . ')';}echo '</div></td></tr></table></div>';}

//-----------//
echo '<div class="gmenu">';
echo '<div class="phdr"><img src="../images/contacts.png" width="16" height="16" class="left" /> Личные данные</div>';

if (!empty($user['imname']))echo '&raquo; Имя: ' .$user['imname'] . '<br />';
if (!empty($user['dayb']))


echo '&raquo; Дата рождения: ' . $user['dayb'] . '.' .$mesyac[$user['monthb']] . '.' . $user['yearofbirth']. '<br />';


if (!empty($user['live']))
echo '&raquo; Город: '. $user['live'] . '<br />';
if (!empty($user['about']))
echo '&raquo; О себе: ' . smileys(tags($user['about'])) .'<br />';
//---------//
echo '<div class="phdr"><img src="../images/mail.png" width="16" height="16" class="left" />Связь</div>';
if (!empty($user['mibile']))
echo '&raquo; Телефон: ' . $user['mibile'] . '<br />';
if (!empty($user['mail']) && (($id && $user['mailvis']) ||!$id || $rights >= 7)) {
echo '&raquo; E-mail: '. $user['mail'];
echo ($user['mailvis'] ? '' : '<span class="gray"> [скрыт]</span>') . '<br />';}
if (!empty($user['icq']))
echo '&raquo; ICQ: <img src="http://web.icq.com/whitepages/online?icq=' . $user['icq'] . '&amp;img=5" width="18" height="18" alt="icq" align="middle"/>' .$user['icq'] . '<br />';
if (!empty($user['skype']))
echo '&raquo; Skype: ' . $user['skype'] . '<br />';
if (!empty($user['jabber']))
echo '&raquo; Jabber: ' . $user['jabber'] . '<br />';
if (!empty($user['www']))
echo '&raquo; Сайт: ' . tags($user['www']) . '<br />';
echo '<div class="phdr"><img src="../images/rate.gif" width="16" height="16" class="left" />Статистика</div>';
echo '&raquo; <a href="my_stat.php?id=' .$user['id'] . '">Статистика активности</a><br />';
echo '&raquo; <a href="my_stat.php?act=forum'. ($id ? '&amp;id=' . $id : '') .'">Последние записи</a><br />';
echo '</div>';
//---------//
echo '<div class="phdr">' . (!$id || $id == $user_id ||$rights >= 7 ? '<a href="my_data.php' . ($id ? '?id=' . $id : '') . '">Редактировать</a>' : '');
if ($id && !$user['immunity'] && $id != $user_id && $rights > $user['rights']) {
if ($rights >= 7)
echo ' | ';
echo '<a href="users_ban.php?act=ban&amp;id=' . $user['id'] . '">Банить</a>';
if ($rights >= 7)echo ' | <a href="../' . $admp. '/index.php?act=usr_del&amp;id=' . $user['id'] . '">Удалить</a> | <a href="../zvezda/adminka.php?id=' .$user['id'] . '">Наградить</a><br />';}
echo '</div>';
//---------//

if ($id && $id !=$user_id) {
$query = mysql_query("SELECT * FROM`mail_konts` WHERE `id_user`= '" . $user_id . "' AND `id_kont`='" . $user['id'] ."'");
if(mysql_num_rows($query) != 0) {
$row = mysql_fetch_assoc($query);
if($row['type']==1) {
echo '<div class="menu"><a href="'.$home.'/pochta/index.php?act=add&amp;id='.$user['id'].'">Написать письмо</a></div>';
echo'<div class="menu"><a href="'.$home.'/pochta/index.php?act=delete&amp;id='.$row['id'].'">Удалить из контактов</a></div>';
}
else {
echo '<div class="menu"><a href="'.$home.'/pochta/index.php?act=delete&amp;id='.$row['id'].'">Удалить из игнора</a></div>';
}
}
else {
echo '<div class="menu"><a href="'.$home.'/pochta/index.php?act=add&amp;id='.$user['id'].'">Написать письмо</a></div>';
echo '<div class="menu"><a href="'.$home.'/pochta/index.php?act=addcont&amp;id='.$user['id'].'">Добавить в контакт</a></div>';
echo '<div class="menu"><a href="'.$home.'/pochta/index.php?act=addignor&amp;id='.$user['id'].'">Добавить в игнор</a></div>';
}
}
echo '<div class="rmenu">';
if ($rights >= 1 &&$rights >=$user['rights']) {
echo '&raquo; UserAgent: ' . $user['browser'] . '<br />';
echo '&raquo; Адрес IP: <a href="../'.$admp . '/index.php?act=usr_search_ip&amp;ip=' . $user['ip'] . '">' . long2ip($user['ip']) . '</a>';}
echo '</div>';
require_once('../incfiles/end.php');
?>
